const blockquote = {
  /** Blockquote widget */
  widget: "cm-blockquote",
  /** Replace decoration for the quote mark */
  mark: "cm-blockquote-border"
}, codeblock = {
  /** Codeblock widget */
  widget: "cm-codeblock",
  /** First line of the codeblock widget */
  widgetBegin: "cm-codeblock-begin",
  /** Last line of the codeblock widget */
  widgetEnd: "cm-codeblock-end"
}, heading = {
  /** Heading decoration class */
  heading: "cm-heading",
  /** Heading levels (h1, h2, etc) */
  level: (level) => `cm-heading-${level}`,
  /** Heading slug */
  slug: (slug) => `cm-heading-slug-${slug}`
}, link = {
  /** URL widget */
  widget: "cm-link"
}, list = {
  /** List bullet */
  bullet: "cm-list-bullet",
  /** List task checkbox */
  taskCheckbox: "cm-task-marker-checkbox",
  /** Task list item with checkbox checked */
  taskChecked: "cm-task-checked"
}, image = {
  /** Image preview */
  widget: "cm-image"
};
export {
  blockquote,
  codeblock,
  heading,
  image,
  link,
  list
};
//# sourceMappingURL=classes.js.map
